import { LitElement } from 'lit';
declare type Constructor<T = {}> = new (...args: any[]) => T;
export declare abstract class FormControlMixinInterface extends LitElement {
    formAssociated: boolean;
    get value(): FormDataEntryValue;
    set value(newValue: FormDataEntryValue);
    name: string;
    formResetCallback(): void;
    checkValidity: () => boolean;
    get validationMessage(): string;
    protected _value: FormDataEntryValue;
    protected _internals: any;
    protected abstract getFormElement(): HTMLElement | undefined;
    pristine: boolean;
    required: boolean;
    requiredMessage: string;
    error: boolean;
    errorMessage: string;
}
/**
 * The mixin allows a custom element to participate in HTML forms.
 *
 * @param {Object} superClass - superclass to be extended.
 * @mixin
 */
export declare const FormControlMixin: <T extends Constructor<LitElement>>(superClass: T) => Constructor<FormControlMixinInterface> & T;
export {};
