import { LitElement, TemplateResult } from 'lit';
declare type Constructor<T = {}> = new (...args: any[]) => T;
export declare class LabelMixinInterface {
    label: string;
    protected renderLabel(): TemplateResult;
}
/**
 * This mixin provides label functionality to other components. In the mixed component the label can be provided either via reactive label property, or through slot that this mixin contains. You can style the label template through .label selector.
 *
 * @param {string} labelSlotName - Name that will be assigned for the label slot
 * @param {Object} superClass - superclass to be extended.
 * @mixin
 */
export declare const LabelMixin: <T extends Constructor<LitElement>>(labelSlotName: string | null, superClass: T) => Constructor<LabelMixinInterface> & T;
export {};
